package com.arrebol.taxiservicios.model.enums;

/**
 *
 * @author Oscar Vargas
 */
public enum MutualOutType {

    PAGO_LAMINADO("Pago laminado") {
        @Override
        public String toString() {
            return "PAGO_LAMINADO";
        }
    }, PAGO_DEDUCIBLE("Pago deducible") {
        @Override
        public String toString() {
            return "PAGO_DEDUCIBLE";
        }
    }, COMPRAS("Compras") {
        @Override
        public String toString() {
            return "COMPRAS";
        }
    }, GASOLINA("Gasolina") {
        @Override
        public String toString() {
            return "GASOLINA";
        
        }
    }, NOMINA("Nómina") {
        @Override
        public String toString() {
            return "NOMINA";
        
        }
    }, DISPOSICION("Disposición de ingreso") {
        @Override
        public String toString() {
            return "DISPOSICION";
        
        }
    }, OTROS_EGRESOS("Otros egresos") {
        @Override
        public String toString() {
            return "OTROS_EGRESOS";
        
        }
    }, RENTA_VEHICULO("Renta de vehículo") {
        @Override
        public String toString() {
            return "RENTA_VEHICULO";
        
        }
    };

    private final String type;

    private MutualOutType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

}
